<refentry id="token.element">
<?dbhtml filename="token.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>token</secondary></indexterm>
<refentrytitle>token</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>token</refname>
<refpurpose>&token.purpose;</refpurpose>
</refnamediv>

&token.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>Token</sgmltag> identifies a unit of information. Usually,
<quote>tokens</quote> are the result of some processing pass that
has performed lexical analysis and divided a data set into the
smallest units of information used for subsequent processing.
</para>
<para>
Exactly what constitutes a token varies by context.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.inline;
</para>
</refsect2>


&token.parents.gen;
&token.children.gen;
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&token.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&token.example.1.txt;</programlisting>
</informalexample>

<anchor id="ex.os.token.1" role="HACK-ex.out.start"/>
&token.example.1.gen;
<anchor id="ex.oe.token.1" role="HACK-ex.out.end"/>

&token.example.seealso.gen;
</refsect1>
</refentry>

